#ifndef CONSOLE_TEST_H
#define CONSOLE_TEST_H

#include "Com_cvar.h"

/*
======================================
A sample test class to illustrate the
use of Console variables and commands
======================================
*/

class CTest : public I_ConHandler
{
public:
	CTest();
	~CTest();

	void HandleCommand(HCMD cmdId, const CParms &parms);
	bool HandleCVar(const CVarBase * cvar, const CParms &parms);

private:
	
	CVar m_cvPlayerName;
	CVar m_cvPlayerAge;
	CVar m_cvAlive;
	CVar m_cvMhz;
	CVar m_cvFree;
};

#endif