// ConsoleDlg.h : header file
//

#if !defined(AFX_CONSOLEDLG_H__8A643B37_D1FE_41C9_92D6_776950B62016__INCLUDED_)
#define AFX_CONSOLEDLG_H__8A643B37_D1FE_41C9_92D6_776950B62016__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "OutputWnd.h"
#include "InputBox.h"


/*
======================================
The main application dialog
======================================
*/

class CConsoleDlg : public CDialog
{
// Construction
public:
	CConsoleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CConsoleDlg)
	enum { IDD = IDD_CONSOLE_DIALOG };
	CInputBox	m_inputWnd;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CConsoleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	TOutputWnd m_outputWnd;

	virtual void OnCancel();

	// Generated message map functions
	//{{AFX_MSG(CConsoleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONSOLEDLG_H__8A643B37_D1FE_41C9_92D6_776950B62016__INCLUDED_)
